Class | Fog::DNS::Dynect::Real
In: | lib/fog/dynect/requests/dns/put_zone.rb lib/fog/dynect/requests/dns/delete_zone.rb lib/fog/dynect/requests/dns/get_record.rb lib/fog/dynect/requests/dns/post_zone.rb lib/fog/dynect/requests/dns/get_node_list.rb lib/fog/dynect/requests/dns/delete_record.rb lib/fog/dynect/requests/dns/post_record.rb lib/fog/dynect/requests/dns/post_session.rb lib/fog/dynect/requests/dns/get_zone.rb lib/fog/dynect/dns.rb
Parent: | Object

### Methods

auth_token delete_record delete_zone get_node_list get_record get_zone new poll_job post_record post_session post_zone put_zone request

### Public Class methods

new(options={})

### Public Instance methods

auth_token()
delete_record(type, zone, fqdn, record_id)

Delete a record

#### Parameters

- type<~String> - type of record in [‘AAAA’, ‘ANY’, ‘A’, ‘CNAME’, ‘DHCID’, ‘DNAME’, ‘DNSKEY’, ‘DS’, ‘KEY’, ‘LOC’, ‘MX’, ‘NSA’, ‘NS’, ‘PTR’, ‘PX’, ‘RP’, ‘SOA’, ‘SPF’, ‘SRV’, ‘SSHFP’, ‘TXT’]
- zone<~String> - zone of record
- fqdn<~String> - fqdn of record
- record_id<~String> - id of record

delete_zone(zone)

Delete a zone

#### Parameters

- zone<~String> - zone to host

get_node_list(zone, options = {})

Get one or more node lists

#### Parameters

- zone<~String> - zone to lookup node lists for
- options<~Hash>
  - fqdn<~String> - fully qualified domain name of node to lookup

get_record(type, zone, fqdn, options = {})

List records of a given type

#### Parameters

- type<~String> - type of record in [‘AAAA’, ‘ANY’, ‘A’, ‘CNAME’, ‘DHCID’, ‘DNAME’, ‘DNSKEY’, ‘DS’, ‘KEY’, ‘LOC’, ‘MX’, ‘NSA’, ‘NS’, ‘PTR’, ‘PX’, ‘RP’, ‘SOA’, ‘SPF’, ‘SRV’, ‘SSHFP’, ‘TXT’]
- zone<~String> - name of zone to lookup
- fqdn<~String> - name of fqdn to lookup
- options<~Hash>:
  - record_id<~String> - id of record

get_zone(options = {})

Get one or more zones

#### Parameters

- options<~Hash>:
  - zone<~String> - name of zone to lookup, or omit to return list of zones

poll_job(response, original_expects, time_to_wait = 10)
post_record(type, zone, fqdn, rdata, options = {})

Create a record

#### Parameters

- type<~String> - type of record in [‘AAAA’, ‘ANY’, ‘A’, ‘CNAME’, ‘DHCID’, ‘DNAME’, ‘DNSKEY’, ‘DS’, ‘KEY’, ‘LOC’, ‘MX’, ‘NSA’, ‘NS’, ‘PTR’, ‘PX’, ‘RP’, ‘SOA’, ‘SPF’, ‘SRV’, ‘SSHFP’, ‘TXT’]
- zone<~String> - zone of record
- rdata<~Hash> - rdata for record
- options<~Hash>: (options vary by type, listing below includes common parameters)
  - ttl<~Integer> - ttl for the record, defaults to zone ttl

post_session()
post_zone(rname, ttl, zone, options = {})

Create a zone

#### Parameters

- rname<~String> - administrative contact
- ttl<~Integer> - time to live (in seconds) for records in this zone
- zone<~String> - name of zone to host
- options<~Hash>:
  - serial_style<~String> - style of serial number, in [‘day’, ‘epoch’, ‘increment’, ‘minute’]. Defaults to increment

put_zone(zone, options = {})

Update a zone

#### Parameters

- zone<~String> - name or id of zone
- options<~Hash>:
  - freeze<~Boolean> - causes zone to become frozen
  - publish<~Boolean> - causes all pending changes to be pushed to nameservers
  - thaw<~Boolean> - causes zone to cease being frozen

request(params)

[Validate]